/* Integrating DJ Native Swing into NetBeans RCP
 *
 * See the DJ Project by Christopher Deckers
 * http://djproject.sourceforge.net/ns/index.html
 *
 * Eclipse swt library
 * http://www.eclipse.org
 *
 * This code may be freely distributed and modified under the
 * terms of the GNU Lesser General Public Licence v2.1.
 */

package chrriis.dj.nativeswing.swtcore.gtk.linux.x86;

import chrriis.dj.nativeswing.swtimpl.internal.NativeCoreObjectFactory;
import chrriis.dj.nativeswing.swtimpl.netbeans.NativeCoreAPIProvider;
import org.openide.util.lookup.ServiceProvider;

@ServiceProvider(service = NativeCoreAPIProvider.class)
public class APIProvider implements NativeCoreAPIProvider {

    @Override
    public NativeCoreObjectFactory getObjectFactory() {
        return new NativeCoreObjectFactory(APIProvider.class.getClassLoader());
    }
}
